Partage
  • Partager sur Facebook
  • Partager sur Twitter

Simulez vos architectures réseaux avec GNS3

Forum du cours sur : Simulez vos architectures réseaux avec GNS3

    6 novembre 2020 à 20:54:33

    Bonsoir,

    Qqn pourrai m'aider svp, je n'arrive pas à importer pfsence merci d'avance de votre aide

    • Partager sur Facebook
    • Partager sur Twitter
      7 novembre 2020 à 21:31:46

      Slt, je peux vous aider avec plaisir :-);

      Premièrement il faut se rendre sur le lien de la page de téléchargement de pfsens CE. Le lien mise à disposition dans le cours ( chapitre " importez vos images pour votre architecture" vers le bas au niveau de "importez et installez pfsens", encore vers le bas le lien s' y trouve là) je vous conseil le troisième (pfSense-CE-2.4.5-RELEASE-p1-amd64.iso.gz). c'est ce qui correspond au première choix sur votre photo; Apres l'avoir téléchargé , si vous êtes sur windows decompressez le avec winrar, si c'est sur linux un coup de gunzip suvi_du_nom_du_fichier fera l'affair (l'objectif c'est de décompresser l'image pfsense téléchargé pour qui n'en reste que le pfSe*******.iso, initialement c'est en gzip.)

      Arrivé au niveau ou vous aviez fait la capture( votre capture) au niveau du premier choix cliquez sur pfsense-CE****.iso (et non son empty qui est au dessus de ce dernier) en bas dans un coin cliquez importé ou quelque chose de ce genre, navigez jusqu'a ou l'image se trouve l'image décompressée puit choisissez la.

      Cliquez en suit sur son empty ( au dessus de ce dernier) puis au coté de importé que vous avez utilisé pour importer l'image, il y aura télécharger( ou quelque chose de se genre ), cliquez sur ça vous serai dirigé vers la ou vous allez le télécharger (normalement ça ce lancera automatiquement) puis par la suis importé le comme vous l'aviez fait pour le pfsense.

      Arrivé a ce stade vous n'aurai  que à cliquer sur suivant, suivant ... (je pense que vous n'aurai plus besoin d'aide).

      Si vous n'avez pas compris reposez l'inquiétude, dès que je serai connecté je vous réexpliquerai.  Merci.

      • Partager sur Facebook
      • Partager sur Twitter
        9 novembre 2020 à 22:03:30

        Bonsoir, merci bcp  mais mtn j'ai un problème avec son empty, pourtant je l'ai télécharge mais au moment de l'importer cela ne marche pas. J'ai un message d'erreur. Merciiii d'avance
        • Partager sur Facebook
        • Partager sur Twitter
          13 novembre 2020 à 16:15:48

          Bsr, une fois téléchargé ( en cliquant sur un empty parmi les trois qui apparaissent puit dowload) avez-vous procédé l'importation comme vous l'avez fait avec le pfsense? si oui, svp vous pouvez le refaire?, en retéléchargant un autre empty de façon que je viens de le décrire et réésseyez l'importation?, si possible redémarrer le gns3 ou même votre machine. merci.
          • Partager sur Facebook
          • Partager sur Twitter
            13 novembre 2020 à 20:16:10

            Merci beaucoup ça marche suite au redémarrage du PC. MERCIIII :)
            • Partager sur Facebook
            • Partager sur Twitter
              14 novembre 2020 à 18:12:10

              youpii!!

              De rien, merci aussi.

              • Partager sur Facebook
              • Partager sur Twitter
                22 novembre 2020 à 13:17:33

                Bonjour

                Je suis sur linux (ubuntu 18.04), j'ai installé vmware player workstation 16, pour faire le lien entre Gns3 et le VMware avec le VIX-API j'ai eu à utiliser la version 1.15 et c'est là que j'ai de souci ça ne donne pas et dans le cours vous avez utilisé la 1.17 , j'ai cherché la 1.17 mais je n'arrive pas à trouver ça.

                Quelqu'un peut m'aider?  Merci

                • Partager sur Facebook
                • Partager sur Twitter
                  24 novembre 2020 à 19:39:30

                  Bonsoir monsieur, 

                  concernant l'installation de api vix 1.17 essayez avec le lien la voir :magicien:: https://my.vmware.com/web/vmware/downloads/details?downloadGroup=PLAYER-1400-VIX1170&productId=687

                  Si ça n'a pas marché suivez les instruction que j'ai décris ci-dessous.

                   First commencez par vous rendre sur le site www.vmware.com (et non my.vmware.com), second pointez votre souris sur (et non cliquez sur) l'onglet downloads situé en haut de la page, puis cliquez sur downloads situé au gauche du menu qui s'ouvrira a cet effet. normalement vous devez être redirigé vers leurs page ''all downloads'' . vous allez entré le mot clé "vmware vix 1 17 0 api for windows 64-bit operating systems" puis entrer la recherche ( ooh;)!!, je sais vous êtes sur linux, patience, vous n'allez pas télécharger pour windows, bien sur que non).

                  vous allez cliquet sur vmware vix 1.17.0 parmi les propositions offerts comme le montre la capture en haut. ainsi vous tomberez sur une page qui vous proposera et le téléchargement pour linux comme pour windows.

                  Merci et désolé, les captures n'ont pas de bordure, je l'avais pas vite remarqué. sincèrement désolé.

                  • Partager sur Facebook
                  • Partager sur Twitter
                    25 novembre 2020 à 10:57:52

                    D'accord merci beaucoup j'ai téléchargé aussi vix1.17 mais j'ai toujours le même problème voici ce que ça me met quand je clique sur refresh

                    • Partager sur Facebook
                    • Partager sur Twitter
                      25 novembre 2020 à 20:41:57

                      Dans votre hyperviseur vous avez installé le gns3_vm?
                      • Partager sur Facebook
                      • Partager sur Twitter
                        25 novembre 2020 à 20:48:52

                        On dirait que GNS3 ne trouve pas l'exécutable du VMware, vérifier le "Path to vmrun" dans le menu VMware de "préférences"?

                        -
                        Edité par DamienAk 26 novembre 2020 à 22:03:37

                        • Partager sur Facebook
                        • Partager sur Twitter
                          25 novembre 2020 à 21:26:53

                          Et aussi vous êtes sûr que lors de l'installation de gns3 vous avez suivi toutes les étapes décrites sur le site et notamment avez vous fais l' ajout de votre nom de section dans les différents groupes (wireshark ...) comme décrit sur le site ?

                          Si vous n'êtes pas si sûr, et si cela ne vous gêne pas bien sûr, faites un auto remove de gns3 et re_suivez bien les étapes d'installation merci.

                          • Partager sur Facebook
                          • Partager sur Twitter
                            26 novembre 2020 à 23:34:58

                            bonjour! quelqu'un peut m'aider s'il vous plait, j'ai un soucis avec mon pfsense, l'interface web est dégueulasse, j'arrive pas a voir certain onglets. mais aussi j'arrive pas à installer des package, sa m'affiche ''unable to retrieve package information''. merci infiniment
                            • Partager sur Facebook
                            • Partager sur Twitter
                              27 novembre 2020 à 20:24:23

                              bonsoir monsieur, 

                              vous allez téléchargé un appliance webterm, à l'adresse www.gns3.com/initiatives/webterm . Vous allez l'importer et réessayer de joindre le routeur voir si l'interface demeura toujours "dégeu" :). si c'est toujours le cas réinstaller votre routeur i.e. ré ajouter un autre pfsense à votre maquette cependant avant de l'installer pensé à augmenté un peut sa mémoire dans son menu réglage. 

                               Si vous n'avez jamais utilisé un webterm,

                               Si vous voulez qu'il reçois une adresse en DHCP, bien avant de le mètre en marche pensé à faire un clique droit sur lui ->édit config , puis décommettez les deux  dernières lignes, ( ''auto eth0'' et ''eth0 inet dhcp'' ) puis save avant de le mettre en marche;

                                si vous voulez faire des test en invite de commande réduisez la fenêtre Firefox, au dessus de la fenêtre Firefox (peut être dans le noire si vous utilisé tightVnc viewer) vous verrez  un onglet vous proposant un terminal. merci.

                              -
                              Edité par jeandjikounou 27 novembre 2020 à 22:10:21

                              • Partager sur Facebook
                              • Partager sur Twitter
                                5 décembre 2020 à 7:16:17

                                Slt,  je boss sur un petit exercice la sur gns3 pour une simulation d'architecture réseau,  et je viens de crée un serveur virtuel Tynicore linux  avec un switch et deux vpcs
                                Je veux faire une interconnexion,  Mais mon interface réseaux doit être sur vmnet et non pas sur le NAT,  
                                on me demande de faire ce si : 
                                - cliquez sur fil -> manage -> Virtual machine settings; 
                                - dans network adapter choisissez une interface VMnet. 
                                Mais sur mon projet,  je n'ai  pas l'option manage,  je ne sais pas s'il n'existe pas une autre méthode pour  faire sa 
                                en gros, je n'arrive pas a connecté mon serveur Tynicore Linux au switch de ma configuration ..... besoin d'aide svp!
                                • Partager sur Facebook
                                • Partager sur Twitter
                                  10 décembre 2020 à 8:09:50

                                  slt monsieur, vous utilisez quel simulateur? vbox ou vmware, si c'est le dernier, lequel? le pro ou le workstation. Pouvez vous me faire une photo?
                                  • Partager sur Facebook
                                  • Partager sur Twitter
                                    8 janvier 2021 à 1:06:04

                                    Bonjour , et merci pour ce cour très important ,actuellement  Je suis entrain de suivre le cours mains j'ai un petit soucis, je n'arrive a installer le posteAIC ET  comprendre comment il a installer le PosteAIC sur la maquette, donc du cou je suis bloquer je n'arrive plus a avancer  quelqu'un peut m'aider? 

                                    Merci  

                                    • Partager sur Facebook
                                    • Partager sur Twitter
                                      20 janvier 2021 à 9:20:25

                                      Bonjour,

                                      Suite au démarrage du cours « Simulez des architectures réseaux avec GNS3 », j’ai installé, comme indiqué, GNS3 (la version la plus récente GNS3-2.2.17-all-in-one-regular sur Windows 10 ).

                                      Après la création du premier projet, lorsque je tente d’ajouter un Switch Ethernet suivant les directives du cours, j’ai l’erreur suivante :

                                      Error while creating node from template: Couldn't connect to hypervisor on localhost:63447 :

                                      J’ai donc effectué de très nombreuses recherches sur internet pour tenter de résoudre ce problème qui m’empêche de continuer.

                                      Après les classiques désinstallation, redémarrage du poste puis réinstallation, l’erreur est toujours présente.

                                      Première tentative : modifier dans GNS3 (Edit-> Préférences -> Server) le localhost en 127.0.0.1 l’erreur est toujours là :

                                      Error while creating node from template: Couldn't connect to hypervisor on 127.0.0.1:63447 :

                                      Deuxième tentative : Ouvrir une invite de commande en administrateur sous Windows et tapez les commandes suivantes :

                                      netsh winsock reset catalog

                                      Validation par la touche Entrée puis :

                                      netsh int ipv4 reset reset.log

                                      Validation par la touche Entrée puis redémarrage de l’ordinateur. Erreur toujours présente :

                                      Error while creating node from template: Couldn't connect to hypervisor on

                                      Troisième tentative : Démarrage de GNS3 en administrateur. Erreur toujours présente :

                                      Error while creating node from template: Couldn't connect to hypervisor on

                                      Quatrième tentative : Ouvrir une invite de commande en administrateur sous Windows et tapez la commande suivante :

                                      Netstat -a 

                                      Regarder le numéro du port en listening à l’adresse 127.0.0.1 et l’utiliser pour modifier dans GNS3 le port en dessous de la configuration du localhost (Edit-> Préférences -> Server). Erreur toujours présente :

                                      Error while creating node from template: Couldn't connect to hypervisor on

                                      Cinquième tentative : désactivation du Firewall de windows et de l’antivirus windows défender. Erreur toujours présente :

                                      Error while creating node from template: Couldn't connect to hypervisor on

                                      Si quelqu’un à une idée, merci d’avance.

                                      Bonne Journée.

                                      • Partager sur Facebook
                                      • Partager sur Twitter
                                        20 janvier 2021 à 15:08:26

                                        Bonjour,

                                        je suis actuellement en autoformation sur la formation intitulée "Simuler des architectures réseau avec GNS3" donnée par Pr. Lélio Motta. C'est une excellente formation, très didactique et pédagogique. Tout s'est bien déroulé jusqu'à l'importation et l'installation du routeur Fire-wall pfsense où j'ai perdu les pédales.

                                        J'utilise un pc portable i7, 16 Go de RAM, sous Windows 10. J'ai installé VMware Workstation pro (version 16.1.0) et GNS3 (version 2.2.17).

                                        Mes question sont simples : Quelle version précise de pfsense me faudra-t-il ? Où puis-je la trouver sur le net ? Et surtout comment l'installer sur GNS3 ?

                                        Merci d'avance

                                        • Partager sur Facebook
                                        • Partager sur Twitter
                                          25 janvier 2021 à 10:32:10

                                          Bonjour,

                                          J'ai trouvé une solution à mon problème sur GNS3 indiqué ci-dessus.

                                          J'ai donc réalisé un Tuto que j'ai mis sur ce message sur Workplace dans le groupe Entraide - Administrateur Infrastructure et Cloud.

                                          https://openclassrooms.workplace.com/groups/1581204352007807/permalink/3657732051021683/

                                          Bonne Journée.

                                          • Partager sur Facebook
                                          • Partager sur Twitter
                                            14 février 2021 à 23:31:59

                                            MohammedElGhazi1 a écrit:

                                            Bonjour,

                                            je suis actuellement en autoformation sur la formation intitulée "Simuler des architectures réseau avec GNS3" donnée par Pr. Lélio Motta. C'est une excellente formation, très didactique et pédagogique. Tout s'est bien déroulé jusqu'à l'importation et l'installation du routeur Fire-wall pfsense où j'ai perdu les pédales.

                                            J'utilise un pc portable i7, 16 Go de RAM, sous Windows 10. J'ai installé VMware Workstation pro (version 16.1.0) et GNS3 (version 2.2.17).

                                            Mes question sont simples : Quelle version précise de pfsense me faudra-t-il ? Où puis-je la trouver sur le net ? Et surtout comment l'installer sur GNS3 ?

                                            Merci d'avance

                                            Bonjour,

                                            Pour la charger pfSense, tu vas sur gns3.com -> marketplace. Tu tapes pfSense, tu choisis le lien pfSense Appliance, et sur cette page tu peux télécharger le fichier pfsense.gns3a. Ensuite avec GNS3 tu "import" cette appliance et le logiciel te dit ce qu'il faut faire (éventuellement télécharger encore un petit fichier 'empty100.qcow2')


                                            Mais du coup moi j'ai un autre problème.. une fois le pfSense 2.4.5p1 charger dans le GNS3, je l'ai mis sur un mauvais serveur: dans la fenêtre "servers summary" le pfSense apparaît sur le GNS3 VM et là la RAM n'est pas suffisante.

                                            Je voudrais le changer de serveur et le mettre sur mon pc qui apparaît également. Mais jusqu'ici impossible de faire cette modification. J'ai même désinstallé et réinstallé gns3 et Workstation, mais même comme ça, ça n'a pas réinitialisé les paramètres de pfSense..

                                            Merci si quelqu'un peut m'aider

                                            -
                                            Edité par SteveCommer 14 février 2021 à 23:44:10

                                            • Partager sur Facebook
                                            • Partager sur Twitter
                                              18 mars 2021 à 15:32:20

                                              Bonjour, après de nombreuses recherche infructueuses je demande de l'aide parmi vous, je suis au chapitre "Importer vos images pour votre architecture" du cours simulez des architectures avec GNS3, mon problème est le suivant : le lien mis dans le cours pour télécharger l'appliance 2.3.5 pour pfsense est erroné j'ai donc pris d'autres versions comme 2.4.4 ou 2.4.5 etc et mon problème est le même à chaque fois : au moment de la configuration du pfsense comme demander sur l'image ma console ne se lance pas et m'affiche ceci ( 2eme image ), si quelqu'un aurait une idée ça serait avec plaisir, merci d'avance !

                                              -
                                              Edité par ClémentMondan 18 mars 2021 à 15:32:42

                                              • Partager sur Facebook
                                              • Partager sur Twitter
                                                27 mars 2021 à 12:38:46

                                                bonjour et merci pour ce cours. tres interessant vraiment

                                                voili le msg d'erreur (no compatible Qemu binary selected) que j'ai quand j'importe l'appliance Pfsense apres l'avoir downloade constate aussi que GNS3 VM ne va pas jusqu'au bout du demarrage. ci dessous les captures

                                                merci pour votre aide

                                                -
                                                Edité par NstephNlogsteph 27 mars 2021 à 12:48:37

                                                • Partager sur Facebook
                                                • Partager sur Twitter
                                                  6 mai 2021 à 11:33:49

                                                  Bonjour à tous et merci pour ce cours,

                                                  Je rencontre un problème lors de l'installation de l' API VIX.

                                                  Je suis sous Linux Ubuntu 20.04, j'ai installé VmWare Workstation 16, la version 14 n'étant plus supportée par ubuntu 20.04.

                                                  Lors de l'installation de l'API VIX 1.17, j'obtiens le message d'erreur suivant:

                                                  Quelqu'un a t'il une idée? Merci pour votre aide
                                                  • Partager sur Facebook
                                                  • Partager sur Twitter

                                                  François DE VOS

                                                    27 mai 2021 à 8:13:05

                                                    je suis sur Mac j'ai installé GNS3 mais il me manque des composants (aucun routeur de présent), Est ce normal?
                                                    • Partager sur Facebook
                                                    • Partager sur Twitter
                                                      3 juin 2021 à 17:42:22

                                                      Bonjour,

                                                      Merci pour le cours , mais j'ai un soucis je n'arrive pas à accéder à l'interface de pfsense sur l'adresse du Lan (192.168.1.254).

                                                      lorsque l'assignation des cartes est terminée, j'arrive à pinguer l'interface Lan de pfsense depuis un client (tinycore ou vpcs).

                                                      mais un fois que je tante depuis tinycore la connexion via firefox à l'interface Lan de pfsense impossible d'affiche la page de configuration de pfsense deplus , les pings ne passent plus entre la machine tinycore et pfsense. Mais on peut toujours pinguer l'interface Lan du pfsense avec un client vpcs.

                                                      je ne comprends pas d'ou vient le problème. j'ai essayé de mettre toutes les cartes des de chque neoud sur la vmnet2 mais rien n'a changé.

                                                      pouvez vous m'aider.

                                                      • Partager sur Facebook
                                                      • Partager sur Twitter
                                                        5 juin 2021 à 20:27:55

                                                        Bonjour @belly_dx

                                                        Tente de redémarrer les cartes réseaux virtuelles créées par VMWARE via ton panneau de configuration de ta machine hôte.

                                                        @VivienRuas4

                                                        Par défaut GNS3 n'a aucune appliance, en toute logique tu devrais avoir juste un ou deux switchs, un VCPS, le Cloud et le NAT qui te permettent d'avoir accès à Internet dans GNS3. Il y a différents moyens d'importer des machines dans GNS3 :

                                                        - Soit directement depuis VMWare, attention toutefois à ne pas en abuser, c'est vraiment selon les usages si tu as des configs spécifiques sur tes VM (Kali linux par exemple :p).

                                                        Une bonne pratique à mon sens consiste à avoir une VM vierge et propre que l'on maintient à jour et que l'on clone dans VMWARE, puis que l'on importe dans GNS3 (Edit > Préférences > VMWare Virtual Machines > New > Sélectionner le clone), on fait notre bricolage et on peut tout casser, on supprimera après :)

                                                        - Soit en important l'appliance via la marketplace de GNS3. Il y en a pas mal, je le fais pour ce qui est des images pfsense, cisco... En somme des images légères qui ne consommeront pas trop de RAM sur mon serveur GNS3VM et qui me permettront d'avoir des config persistantes en bidouillant un peu la machine serveur GNS3VM.

                                                        Il y a quelques tutos sur Youtube pour rendre pfsense persistant (et éviter de se taper une install à chaque fois que tu le glisse dans ton projet) si tu veux chercher un peu de ton côté :)

                                                        @Bbluefox78

                                                        Désolé, je ne peux pas t'aider, je manipule GNS3 sur Windows et j'utilise VMware Pro donc pas eu besoin de l'API VIX... D'après ce que je lis, il y a un problème de synthaxe dans le script de lancement de VIX. Sur Windows un problème récurrent était qu'il fallait modifier un fichier dans VIX pour le rendre compatible avec la version de VMWare. Après un peu de recherche j'ai retrouvé mon ancien post de l'année dernière qui détaillait ce problème, en espérant que ça t'aide :

                                                        Voici les étapes :

                                                        1) Mettre à jour VMWare VIX (la version 17, que tu trouveras sur le site de vmware en ayant préalablement créé un compte).

                                                        2) Aller chercher le fichier vixwrapper-config et ouvrir les droits d'accès et modification aux utilisateurs (Propriétés, Sécurité, Modifier, Tous les utilisateurs, Autoriser, Appliquer).

                                                        3) Modifier le fichier vixwrapper-config en indiquant dans les lignes suivantes :

                                                        # latest un-versioned
                                                        ws     19 vmdb e.x.p Workstation-14.0.0
                                                        player 19 vmdb 15.5.2 Workstation-14.0.0

                                                        En gras = La version de ton logiciel VMWare.

                                                        Si tu as un doute sur ta version, rends toi dans VMWare, Player > Help > About.

                                                        Bon courage à tous !

                                                        Quentin

                                                        • Partager sur Facebook
                                                        • Partager sur Twitter
                                                          6 juin 2021 à 17:26:45

                                                          Bonjour à tous,

                                                          et merci Quentin pour ta réponse, je vais essayer tes conseils mais pour l'instant je suis passé sous windows 10 et ai pu installer correctement gns3 vm.

                                                          Me voici confronté à un autre problème: Lorsque que je lance pfsense j'obtiens ceci: et de ce fait suis bloqué pour l'instant à ce stade, merci pour vos suggestions.

                                                          • Partager sur Facebook
                                                          • Partager sur Twitter

                                                          François DE VOS

                                                            6 juin 2021 à 21:41:05

                                                            Bonjour @bluefox78,

                                                            Ton image n'est pas correctement importée.

                                                            Je vais faire court, il y a un tuto sur youtube qui permet d'installer pfsense sur GNS3 de manière persistante : https://www.youtube.com/watch?v=JHeXdyN6DhA

                                                            ça évite de se retaper l'installation à chaque fois que tu utilises le template dans une topo :)

                                                            Bon visionnage !

                                                            • Partager sur Facebook
                                                            • Partager sur Twitter

                                                            Simulez vos architectures réseaux avec GNS3

                                                            × Après avoir cliqué sur "Répondre" vous serez invité à vous connecter pour que votre message soit publié.
                                                            • Editeur
                                                            • Markdown